%define upstream_name    Devel-Deprecations-Environmental
%define upstream_version 1.101

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}Devel::Deprecations::Environmental::MicroDateTime

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Deprecations for your code's surroundings
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::CheckOS)
BuildRequires: perl(Devel::Hide)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Time)
BuildArch: noarch

%description
A framework for managing deprecations of the environment in which your code
runs

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml META.json CHANGELOG
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.101.0-2.mga10
+ Revision: 2218689
- Mageia 10 Mass Rebuild

* Sun Sep 10 2023 tv <tv> 1.101.0-1.mga10
+ Revision: 1985833
- imported package perl-Devel-Deprecations-Environmental


* Sun Sep 10 2023 Thierry Vignaud <tv@mageia.org> 1.101.0-1.mga10
- initial mageia release, generated with cpan2dist
